PR_GET_TIMERSLACK(2const)

NAME
PR_GET_TIMERSLACK - get the "current" timer slack value for the calling thread

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <linux/prctl.h>  /* Definition of PR_* constants */
#include <sys/prctl.h>

int prctl(PR_GET_TIMERSLACK);

DESCRIPTION
Return the "current" timer slack value of the calling thread.

RETURN VALUE
On success, this call returns the nonnegative value described above. On error, -1 is returned, and errno is set to indicate the error.

FILES

/proc/pid/timerslack_ns

STANDARDS
Linux.

HISTORY
Linux 2.6.28.

SEE ALSO
signal(2), PR_SET_TIMERSLACK(2const), proc_pid_timerslack_ns(5)